//*****************************************************************************
//*
//*		
//*		CChsDlg.cpp
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DiskViewer.h"
#include "ChsDlg.h"

#ifdef		_DEBUG
#define new  DEBUG_NEW
#undef		 THIS_FILE
static char  THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CChsDlg, CDialog)
	//{{AFX_MSG_MAP(CChsDlg)
	ON_EN_CHANGE(IDC_EDIT1, OnChange)
	ON_EN_CHANGE(IDC_EDIT2, OnChange)
	ON_EN_CHANGE(IDC_EDIT3, OnChange)
	ON_EN_CHANGE(IDC_EDIT4, OnChange)
	ON_EN_CHANGE(IDC_EDIT5, OnChange)
	ON_EN_CHANGE(IDC_EDIT6, OnChange)
	ON_EN_CHANGE(IDC_EDIT7, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT1, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT2, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT3, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT4, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT5, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT6, OnChange)
	ON_EN_KILLFOCUS(IDC_EDIT7, OnChange)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

WORD	CChsDlg::wIds[]=
	{
	IDC_EDIT1,IDC_EDIT2,IDC_EDIT3,
	IDC_EDIT4,IDC_EDIT5,IDC_EDIT6,
	IDC_EDIT7
	};

BOOL	CChsDlg::bColor[]=
	{
	0,0,0,0,0,0,0
	};

DWORD	CChsDlg::dwMax[]=
	{
	0xFFFFFFFF,255,63,
	0xFFFFFFFF,254,63,
	0xFFFFFFFF
	};

DWORD	CChsDlg::dwMin[]=
	{
	1,1,1,
	0,0,1,
	0
	};

CBrush	CChsDlg::cBrush(RGB(255,128,128));

//*****************************************************************************
//*
//*		Dialogfeld CChsDlg 
//*
//*****************************************************************************
CChsDlg::CChsDlg(CWnd *pParent)
	: CDialog(CChsDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CChsDlg)
	//}}AFX_DATA_INIT
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CChsDlg::OnInitDialog() 
{
CString	sText;


	CDialog::OnInitDialog();

	iLock=1;
	
	sText.Format("%i",sDisk.Cylinders.LowPart);
	SetDlgItemText(wIds[0],sText);
	sText.Format("%i",sDisk.TracksPerCylinder);
	SetDlgItemText(wIds[1],sText);
	sText.Format("%i",sDisk.SectorsPerTrack);
	SetDlgItemText(wIds[2],sText);
	sText.Format("%I64i",qwSector);
	SetDlgItemText(wIds[6],sText);
	
	iLock=0;
	
	GetDlgItem(wIds[6])->SetFocus();
	OnChange();
	
	
return TRUE;
}

//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CChsDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CChsDlg)
	//}}AFX_DATA_MAP
}



//*****************************************************************************
//*
//*		OnChange
//*
//*****************************************************************************
void CChsDlg::OnChange() 
{
CString  sText;
CWnd	*pWnd;
BOOL	 bWrong;
WORD	 wId=0;
DWORD	 dwValue[7];
int		 i,iNr=-1;


	
	if(iLock)return;
	iLock=1;

	   pWnd=GetFocus();
	if(pWnd)wId=(WORD)GetWindowLong(pWnd->m_hWnd,GWL_ID);

	for(i=0;i<7;i++)
		{
		GetDlgItemText(wIds[i],sText);
		dwValue[i]=strcalc(sText);
		if(wId==wIds[i])iNr=i;
		}
		 
	switch(iNr)
		{
	case 0:	
	case 1:	
	case 2:	if(!dwValue[0])dwValue[0]=1;
			if(!dwValue[1])dwValue[1]=1;
			if(!dwValue[2])dwValue[2]=1;
			
			dwValue[5] =  dwValue[6]%dwValue[2]+1;
			dwValue[4] = (dwValue[6]/dwValue[2])%dwValue[1];
			dwValue[3] = (dwValue[6]/dwValue[2])/dwValue[1];

			break;

	case 3:	
	case 4:	
	case 5:	if(!dwValue[0])dwValue[0]=1;
			if(!dwValue[1])dwValue[1]=1;
			if(!dwValue[2])dwValue[2]=1;
			
			dwValue[6] = ((dwValue[3]*dwValue[1])+dwValue[4])*dwValue[2]+dwValue[5]-1;
			break;

	case 6:	if(!dwValue[0])dwValue[0]=1;
			if(!dwValue[1])dwValue[1]=1;
			if(!dwValue[2])dwValue[2]=1;
			
			dwValue[5] =  dwValue[6]%dwValue[2]+1;
			dwValue[4] = (dwValue[6]/dwValue[2])%dwValue[1];
			dwValue[3] = (dwValue[6]/dwValue[2])/dwValue[1];

			break;
		}

	for(i=0;i<7;i++)
		{
		if(wId!=wIds[i])
			{
			sText.Format("%i",dwValue[i]);
			SetDlgItemText(wIds[i],sText);
			}

		bWrong = FALSE;
		
		if(i==3 && dwValue[3]>=dwValue[0])bWrong=TRUE;
		if(i==4 && dwValue[4]>=dwValue[1])bWrong=TRUE;
		if(i==5 && dwValue[5]> dwValue[2])bWrong=TRUE;
		if(i==6 && dwValue[6]> dwValue[2]*dwValue[1]*dwValue[0])bWrong=TRUE;
			

		if(dwValue[i]<dwMin[i] || dwValue[i]>dwMax[i] || bWrong)
			{
			if(!bColor[i])
				{
				bColor[i]=TRUE;
				GetDlgItem(wIds[i])->RedrawWindow();
				}
			}
		else{
			if(bColor[i])
				{
				bColor[i]=FALSE;
				GetDlgItem(wIds[i])->RedrawWindow();
				}
			}
		}	

	iLock=0;
}

//*****************************************************************************
//*
//*		OnCtlColor
//*
//*****************************************************************************
HBRUSH CChsDlg::OnCtlColor(CDC *pDC, CWnd *pWnd, UINT nCtlColor) 
{
HBRUSH	hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
WORD	wId=0;
int		i;


	wId=(WORD)GetWindowLong(pWnd->m_hWnd,GWL_ID);

	for(i=0;i<7;i++)
		{
		if(wId!=wIds[i])continue;
		if(!bColor[i])break;

		pDC->SetBkColor(RGB(255,128,128));
		return cBrush;
		}
	
return hbr;
}

