//*****************************************************************************
//*
//*
//*		InfoWnd.h
//*
//*
//*****************************************************************************
#ifndef	AFX_INFOWND_H__A4541288_VXDA_1841_9273_144553540000__INCLUDED_
#define AFX_INFOWND_H__A4541288_VXDA_1841_9273_144553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

#include    "TextWnd.h"

#define 	ID_INFO_ACTION		0x519B

//*****************************************************************************
//*
//*		Klasse CInfoWnd
//*
//*****************************************************************************
class CInfoWnd : public CTextWnd
{
public:

	CInfoWnd(int iCharsMax=TEXT_CHARS_MAX,int iLinesMax=50000,int iMode=0,char *pGroup="Text");
   ~CInfoWnd();

	void	AddInfo(unsigned  uOffset,unsigned uSize,int iLine,int iPos1=0,int iPos2=0xFFFF);
	int 	GetInfo(unsigned &uOffset);
	void  	MaxSize(unsigned  uSize);
	void  	DelInfo();

protected:

	afx_msg	void OnInfo();

	DECLARE_MESSAGE_MAP()

	virtual void StartMenu(CPoint sPos,CMenu *pMenu=0);

	CDataList	m_sList;								// Liste mit den Infos
	unsigned	m_uOffset;								// Ausgewhlter Offset
	unsigned	m_uSize;								// Ausgewhlte Byteanzahl
	unsigned	m_uMaxSize;								// Ist die Maximale Byteanzahl

};

inline int 	CInfoWnd::GetInfo(unsigned &uOffset){uOffset=m_uOffset;return m_uSize;}
inline void CInfoWnd::MaxSize(unsigned  uSize){m_uMaxSize=uSize;}


#endif
