//*****************************************************************************
//*
//*
//*		MbrDlg.h : Header-Datei
//*
//*
//*****************************************************************************
#ifndef AFX_MBRDLG_H__52B61F54_251A_4F10_8CD8_67CB81F0B3C7__INCLUDED_
#define AFX_MBRDLG_H__52B61F54_251A_4F10_8CD8_67CB81F0B3C7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif

#include "DiskIO.h"

//*****************************************************************************
//*
//*		Dialogfeld CMbrDlg 
//*
//*****************************************************************************
class CMbrDlg : public CDialog
{
public:
	CMbrDlg(CWnd *pParent = NULL);   // Standardkonstruktor

	//{{AFX_DATA(CMbrDlg)
	enum { IDD = IDD_MBRDLG };
	CString	m_sStartSektor;
	int		m_iRound;
	int		m_iBoot;
	//}}AFX_DATA

	
	DISK_GEOMETRY	sDisk;
	DISK_GEOMETRY	sChs[8];
	QWORD			qwSector;	
	CString			sPartition[4];
	int				iPartType[4];
	BYTE			bMbr[512];

	//{{AFX_VIRTUAL(CMbrDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	static	WORD	wIds[];
	static	BOOL	bColor[];
	static	DWORD	dwMax[];
	static	DWORD	dwMin[];
	static	BYTE	bMbrDefault[512];
	
	static	CBrush	cBrush1;
	static	CBrush	cBrush2;
	
	int		iLock;

	//{{AFX_MSG(CMbrDlg)
	afx_msg void OnChange();
	afx_msg HBRUSH OnCtlColor(CDC *pDC, CWnd *pWnd, UINT nCtlColor);
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnCheck1();
	afx_msg void OnCheck2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
