//*****************************************************************************
//*
//*		
//*		SetInfoDlg.cpp: Implementierungsdatei
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DiskViewer.h"
#include "SetInfoDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CSetInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CSetInfoDlg)
	ON_LBN_DBLCLK(IDC_LIST1, OnDoubleClick)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		Dialogfeld CSetInfoDlg 
//*
//*****************************************************************************
CSetInfoDlg::CSetInfoDlg(CWnd *pParent)
	: CDialog(CSetInfoDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CSetInfoDlg)
	m_iSelect = 0;
	//}}AFX_DATA_INIT
}



//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CSetInfoDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetInfoDlg)
	DDX_Control(pDX, IDC_LIST1, m_cListBox);
	DDX_LBIndex(pDX, IDC_LIST1, m_iSelect);
	//}}AFX_DATA_MAP
}

//*****************************************************************************
//*
//*		OnDoubleClick
//*
//*****************************************************************************
void CSetInfoDlg::OnDoubleClick() 
{
	OnOK();	
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CSetInfoDlg::OnInitDialog() 
{

	CDialog::OnInitDialog();

	m_cListBox.AddString("<default>");
	m_cListBox.AddString("Bootsektor");
	m_cListBox.AddString("Bootsektor (FAT32)");
	m_cListBox.AddString("Bootsektor (NTFS)");
	m_cListBox.AddString("Bootsektor (EXFAT)");
	m_cListBox.AddString("FAT12");
	m_cListBox.AddString("FAT16");
	m_cListBox.AddString("FAT32");
	m_cListBox.AddString("FATEX");
	m_cListBox.AddString("Verzeichnis");
	m_cListBox.AddString("Infosektor");
	m_cListBox.AddString("MasterBootRecord");
	m_cListBox.AddString("VolumeDescriptor");
	m_cListBox.AddString("CD Pfad Tabelle");
	m_cListBox.AddString("CD Verzeichnis");
	m_cListBox.AddString("Master File Table");
	m_cListBox.AddString("Mirror MFT");
	m_cListBox.AddString("Ecma-Tag");
	m_cListBox.AddString("GUID Partitionstablle");
	m_cListBox.AddString("GUID Partitioneintrge");
	m_cListBox.AddString("EXFAT Verzeichnis");


return TRUE;  
}


//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CSetInfoDlg::OnOK() 
{
	UpdateData();	
	CDialog::OnOK();
}
